Welcome to the Question2Answer Q&A. There's also a demo if you just want to try it out.
+3 votes
149 views
in Q2A Core by
reopened by
I'm thinking of upgrade PHP version, so I need a list of required PHP extensions for Q2A.

I can't find a document for this.
by
There’s more information about PHP’s GD extension in this answer:
https://www.question2answer.org/qa/91597/why-cant-users-upload-their-avatars?show=91598#a91598

1 Answer

+1 vote
by

For the base system you're going to need/want these modules:

  • php-gd
  • php-json
  • php-mbstring
  • php-mysql
  • php-opcache
  • php-readline
  • php-xml

Plugins may or may not require additional PHP modules.

by
I think we may need hash (for passwords), and session (for sessions), probably a few more things like something to resize images. Maybe only the original creator of Q2A will have a full list of all required functions. Currently, the best way is to take a screenshot of last known good PHP extensions.
...